Bug 14828 - [3.4 Regression] FAIL: gcc.c-torture/execute/20030408-1.c execution, -O2
Summary: [3.4 Regression] FAIL: gcc.c-torture/execute/20030408-1.c execution, -O2
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: rtl-optimization (show other bugs)
Version: 3.4.0
: P2 critical
Target Milestone: 3.4.1
Assignee: Not yet assigned to anyone
URL:
Keywords: wrong-code
Depends on:
Blocks:
 
Reported: 2004-04-03 00:42 UTC by John David Anglin
Modified: 2005-07-23 22:49 UTC (History)
2 users (show)

See Also:
Host: hppa-unknown-linux-gnu
Target: hppa-unknown-linux-gnu
Build: hppa-unknown-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John David Anglin 2004-04-03 00:42:25 UTC
We have the following new testsuite failures:

FAIL: gcc.c-torture/execute/20030408-1.c execution,  -O2
FAIL: gcc.c-torture/execute/20030408-1.c execution,  -O3 -fomit-frame-pointer
FAIL: gcc.c-torture/execute/20030408-1.c execution,  -O3 -g

Executing on host: /home/dave/gcc-3.4/objdir/gcc/xgcc -B/home/dave/gcc-3.4/objdi
r/gcc/ /home/dave/gcc-3.4/gcc/gcc/testsuite/gcc.c-torture/execute/20030408-1.c
-w  -O2   -lm   -o /home/dave/gcc-3.4/objdir/gcc/testsuite/20030408-1.x2    (tim
eout = 300)
PASS: gcc.c-torture/execute/20030408-1.c compilation,  -O2
Setting LD_LIBRARY_PATH to :/home/dave/gcc-3.4/objdir/bfd:/home/dave/gcc-3.4/obj
dir/opcodes:/home/dave/gcc-3.4/objdir/hppa-linux/libstdc++-v3/src/.libs:/home/da
ve/opt/gnu/gcc/gcc-3.3.3/lib:/home/dave/opt/gnu/lib
FAIL: gcc.c-torture/execute/20030408-1.c execution,  -O2
Comment 1 Eric Botcazou 2004-04-03 16:18:52 UTC
This RTX_UNCHANGING_P stuff keeps fascinating me :-)
Comment 2 dave 2004-04-03 17:11:08 UTC
Subject: Re:  [3.4 Regression] FAIL: gcc.c-torture/exe

> This RTX_UNCHANGING_P stuff keeps fascinating me :-)

I've taken Jakub's patch, <http://gcc.gnu.org/ml/gcc-patches/2004-04/msg00186.html>,
and added the additional changes needed for the clrstrsi, movstrdi and
clrstrdi related patterns.  Should know in a bit whether this resolves the
problem.

Dave
Comment 3 John David Anglin 2004-04-06 16:07:51 UTC
Fixed by <http://gcc.gnu.org/ml/gcc-patches/2004-04/msg00253.html>.